/// <reference types="node" />
import IResponse from '../interfaces/IResponse';
import { IncomingMessage } from 'http';
import IHttpMocker from '../interfaces/IHttpMocker';
/**
 * @api {delete} :port/=^.^=/history Clear a route history

 * @apiGroup HttpMocker
 * @apiVersion 0.4.0
 * @apiName DeleteRouteHistory
 * @apiDescription It clears a route history.
 *
 * @apiParam {String} path    The route path. It musts be a query param.
 * @apiParam {String} method  The route method. It musts be a query param.
 *
 *
 * @apiSuccessExample Success-Response:
 *     HTTP/1.1 204 OK
 */
export default class ClearHistoryHandler {
    private mocker;
    constructor(mocker: IHttpMocker);
    handle(req: IncomingMessage): Promise<IResponse>;
}
