/// <reference types="node" />
import { IncomingMessage } from 'http';
import IResponse from '../interfaces/IResponse';
import IHttpMocker from '../interfaces/IHttpMocker';
/**
 * @api {delete} :port/=^.^=/route Delete a websocket route
 * @apiGroup HttpMocker
 * @apiVersion 0.4.0
 * @apiName DeleteWsRoute
 * @apiDescription It deletes a websocket route.
 *
 * @apiParam {String} path    The route path. It musts be a query param.
 *
 *
 * @apiSuccessExample Success-Response:
 *     HTTP/1.1 204 OK
 *
 * @apiError {String} status Request status.
 * @apiError {String} message Error message.

 * @apiErrorExample Error-Response:
 *     HTTP/1.1 404 Not Found
 *     {
 *       "status": "fail",
 *       "message": "route does not exist"
 *     }
 */
export default class DeleteWsRouteHandler {
    private mocker;
    constructor(mocker: IHttpMocker);
    handle(req: IncomingMessage): Promise<IResponse>;
}
