/// <reference types="node" />
import IResponse from '../interfaces/IResponse';
import { IncomingMessage } from 'http';
/**
 * @api {get} :port/ Check mocker health
 * @apiVersion 0.4.0
 * @apiGroup HttpMocker
 * @apiName CheckHealth
 * @apiDescription It checks mocker health.
 *
 * @apiParam {String} path    The route path. It musts be a query param.
 * @apiParam {String} method  The route method. It musts be a query param.
 *
 * @apiSuccessExample Success-Response:
 *     HTTP/1.1 204 OK
 */
export default class MockerHealthCheckerHandler {
    handle(req: IncomingMessage): Promise<IResponse>;
}
