"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const get_jsend_1 = require("../helpers/get-jsend");
/**
 * @api {get} :port/ Check mocker health
 * @apiVersion 0.4.0
 * @apiGroup HttpMocker
 * @apiName CheckHealth
 * @apiDescription It checks mocker health.
 *
 * @apiParam {String} path    The route path. It musts be a query param.
 * @apiParam {String} method  The route method. It musts be a query param.
 *
 * @apiSuccessExample Success-Response:
 *     HTTP/1.1 204 OK
 */
class MockerHealthCheckerHandler {
    handle(req) {
        return new Promise((resolve) => {
            resolve({ code: 204, body: get_jsend_1.default({ statusCode: 204, data: undefined, message: undefined }) });
        });
    }
}
exports.default = MockerHealthCheckerHandler;
