"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const url = require("url");
const print_functions_1 = require("../helpers/print-functions");
class CreateWsRouteHandler {
    constructor(wsShelf, request, socket, head) {
        this.request = request;
        this.socket = socket;
        this.head = head;
        this.wsShelf = wsShelf;
    }
    handle() {
        const pathname = url.parse(this.request.url).pathname;
        let ws = this.wsShelf.getWs(pathname);
        if (ws && pathname == ws.routeWs.path) {
            this.handleUpgradeListenEventsAndSetSocket(ws.routeWs, ws.routePairWs);
        }
        else if (ws && pathname == ws.routePairWs.path) {
            this.handleUpgradeListenEventsAndSetSocket(ws.routePairWs, ws.routeWs);
        }
        else {
            this.socket.destroy();
        }
    }
    handleUpgradeListenEventsAndSetSocket(ws, wsPair) {
        ws.server.handleUpgrade(this.request, this.socket, this.head, (socket) => {
            print_functions_1.printConnected(new Date().toISOString().replace(/T/, ' ').replace(/\..+/, ''), ws.path);
            ws.socket = socket;
            this.wsShelf.trySendAllPendingMessages(ws);
            socket.on('message', (msg) => {
                print_functions_1.printWsLog(new Date().toISOString().replace(/T/, ' ').replace(/\..+/, ''), ws.path, msg);
                this.wsShelf.tryToSendMessageOrStorage(wsPair, msg);
            });
            socket.on('close', () => {
                print_functions_1.printDisconnected(new Date().toISOString().replace(/T/, ' ').replace(/\..+/, ''), ws.path);
                ws.socket = undefined;
            });
        });
    }
}
exports.default = CreateWsRouteHandler;
