/// <reference types="node" />
import { IncomingMessage } from 'http';
import IHttpMocker from '../interfaces/IHttpMocker';
import IResponse from '../interfaces/IResponse';
import IRemovePort from '../interfaces/IRemovePort';
/**
 * @api {delete} :port/ Stop a HttpMocker
 * @apiVersion 0.4.0
 * @apiGroup HttpMocker
 * @apiName StopMocker
 * @apiDescription It stops a HttpMocker.
 *
 * @apiSuccessExample Success-Response:
 *     HTTP/1.1 204 OK
 */
export default class StopMockerHandler {
    private mocker;
    private removePort;
    constructor(mocker: IHttpMocker, removePort: IRemovePort);
    handle(req: IncomingMessage): Promise<IResponse>;
}
