"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const get_jsend_1 = require("../helpers/get-jsend");
/**
 * @api {delete} :port/ Stop a HttpMocker
 * @apiVersion 0.4.0
 * @apiGroup HttpMocker
 * @apiName StopMocker
 * @apiDescription It stops a HttpMocker.
 *
 * @apiSuccessExample Success-Response:
 *     HTTP/1.1 204 OK
 */
class StopMockerHandler {
    constructor(mocker, removePort) {
        this.mocker = mocker;
        this.removePort = removePort;
    }
    handle(req) {
        return new Promise((resolve) => {
            let port = req.socket.localPort;
            resolve({ code: 204, body: get_jsend_1.default({ statusCode: 204, data: undefined, message: undefined }) });
            this.mocker.stopServer().then(() => {
                this.removePort(port);
            }).catch(() => {
                console.log('Fail to stop mocker ' + port);
            });
        });
    }
}
exports.default = StopMockerHandler;
