"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function checkUpdateRouteRequest(route) {
    route.response = route.response;
    if (route.filters)
        return 'filters cannot be updated';
    if (!route.validator || route.validator.length == 0) {
        if (!route.response)
            return 'request missing route response';
        else if (!route.response.code)
            return 'request missing route response code';
        else if (!checkCode(route.response.code))
            return 'request with invalid route response code';
        else if (route.response.body == undefined)
            return 'request missing route response body';
    }
    else {
        let err = '';
        for (let i = 0; i < route.validator.length; i++)
            if (route.validator[i].matchers.body == undefined && !route.validator[i].matchers.header) {
                err = 'request missing validator matchers';
                break;
            }
            else if (!checkCode(route.validator[i].code)) {
                err = 'request with invalid route validator code';
                break;
            }
        if (err)
            return err;
    }
}
exports.default = checkUpdateRouteRequest;
function checkCode(code) {
    return code >= 100 && code < 600;
}
