"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const url_1 = require("url");
const check_query_1 = require("./check-query");
const treat_query_1 = require("./treat-query");
function getAndCheckQuery(req) {
    let queryObject = url_1.parse(req.url, true).query;
    let err = check_query_1.checkQuery(queryObject);
    if (err) {
        return { err: err, query: undefined };
    }
    let query = treat_query_1.treatQuery(queryObject);
    query.path = decodeURIComponent(query.path);
    return { err: undefined, query: query };
}
exports.default = getAndCheckQuery;
