/// <reference types="node" />
import IRouteShelf from '../interfaces/IRouteShelf';
import { Server } from 'http';
import IRoute from '../interfaces/IRoute';
import IHttpMocker from '../interfaces/IHttpMocker';
import IRequestShelf from '../interfaces/IRequestShelf';
import IWsShelf from '../interfaces/IWsShelf';
export default class HttpMocker implements IHttpMocker {
    readonly routeShelf: IRouteShelf;
    readonly requestShelf: IRequestShelf;
    readonly wsShelf: IWsShelf;
    private port;
    private server;
    private hostname;
    constructor(hostname: string, port: number);
    getRouteShelf(): IRouteShelf;
    getWsShelf(): IWsShelf;
    getRequestShelf(): IRequestShelf;
    getServerInstance(): Server;
    loadServer(): void;
    runServer(): Promise<string>;
    addRoute(route: IRoute): void;
    stopServer(): Promise<string | undefined>;
    private respRequest;
    private hydrateRequest;
}
