"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class RequestShelf {
    constructor() {
        this.routeHistoryInfo = [];
    }
    getRequests(routeId) {
        let routeHistoryInfo = this.findRouteInfoById(this.routeHistoryInfo, routeId);
        if (routeHistoryInfo) {
            return routeHistoryInfo.requestList;
        }
        return [];
    }
    setRequest(routeId, request) {
        let routeHistoryInfo = this.findRouteInfoById(this.routeHistoryInfo, routeId);
        if (routeHistoryInfo) {
            routeHistoryInfo.requestList.push(request);
            return;
        }
        this.routeHistoryInfo.push({ routeId: routeId, requestList: [request] });
    }
    deleteRequests(routeId) {
        let routeHistoryInfo = this.findRouteInfoById(this.routeHistoryInfo, routeId);
        if (routeHistoryInfo) {
            this.routeHistoryInfo = this.filterRouteInfoDeletingById(this.routeHistoryInfo, routeId);
        }
    }
    filterRouteInfoDeletingById(routeInfoList, routeId) {
        return routeInfoList.filter((routeInfo) => routeInfo.routeId != routeId);
    }
    findRouteInfoById(routeInfoList, routeId) {
        return routeInfoList.find((routeInfo) => routeInfo.routeId == routeId);
    }
}
exports.default = RequestShelf;
