"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class WsShelf {
    constructor() {
        this.wsList = [];
    }
    getWs(path) {
        return this.findWsByRoutePath(path);
    }
    setWs(webSocket) {
        let ws = this.findWsByRoutePath(webSocket.routeWs.path);
        if (ws) {
            return false;
        }
        this.wsList.push(webSocket);
        return true;
    }
    deleteWs(path) {
        let ws = this.findWsByRoutePath(path);
        if (ws) {
            this.wsList = this.filterByPath(path);
            return true;
        }
        return false;
    }
    trySendAllPendingMessages(ws) {
        if (!ws.socket) {
            return;
        }
        while (ws.messages.length) {
            ws.socket.send(ws.messages.shift());
        }
    }
    tryToSendMessageOrStorage(ws, msg) {
        if (ws.socket) {
            ws.socket.send(msg);
        }
        else {
            ws.messages.push(msg);
        }
    }
    findWsByRoutePath(path) {
        return this.wsList.find((ws) => ws.routeWs.path == path || ws.routePairWs.path == path);
    }
    filterByPath(path) {
        return this.wsList.filter((ws) => ws.routeWs.path != path);
    }
}
exports.default = WsShelf;
